
Redmine - Defect #17430

Broken Subtask Tree

2014-07-09 12:58 - Ewan Makepeace

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.0.3

Description

I just hit the problem of a broken subtask tree once more. This is a long standing problem that I have seen and reported before. See

for example:

#11011 - reported by me - ultimately closed as not reproducible.

#15581 - reported by my colleague.

I was creating a 3 level tree of bugs to be fixed using multiple tabs to add new subtasks at each level. This is how far I got:

 Parent.jpg 

However when I click on issue 8644 in that tree (first level child) it gets most of the rest of the tree displayed on its page:

 Child.jpg 

I checked in the database and this is what I see in the left and right :

id parent_id root_id lft rgt

8798 8644 8642 11 18

8803 8798 8642 12 13

8804 8798 8642 14 15

8805 8798 8642 16 17

8799 8644 8642 19 20

8800 8644 8642 21 22

8801 8644 8642 23 24

8802 8644 8642 25 26

Using

select id, parent_id, root_id, lft, rgt from issues where id > 8797 order by lft, rgt;

Related issues:

Is duplicate of Redmine - Defect #6579: Tree hierachy being currupted on mult... Closed 2010-10-05

History

#1 - 2014-07-09 12:59 - Ewan Makepeace

- File Child.jpg added

#2 - 2014-07-09 13:03 - Ewan Makepeace

Sorry - more complete output from the database:

id parent_id root_id lft rgt

8642 NULL 8642 1 28

8643 8642 8642 2 9

8645 8643 8642 3 4
8646 8643 8642 5 6

8647 8643 8642 7 8

8644 8642 8642 10 27

8798 8644 8642 11 18

8803 8798 8642 12 13

8804 8798 8642 14 15

8805 8798 8642 16 17

8799 8644 8642 19 20

8800 8644 8642 21 22

8801 8644 8642 23 24

8802 8644 8642 25 26

Using select id, parent_id, root_id, lft, rgt from issues where root_id=8642 order by lft, rgt;

#3 - 2014-07-09 13:03 - Ewan Makepeace

- Status changed from New to Resolved

I need to check this again.

#4 - 2014-08-06 11:27 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Duplicate

#5 - 2014-08-06 11:27 - Toshi MARUYAMA

- Is duplicate of Defect #6579: Tree hierachy being currupted on multiple submissions of an issue added

Files

Parent.jpg 93.8 KB 2014-07-09 Ewan Makepeace

Child.jpg 104 KB 2014-07-09 Ewan Makepeace
